plasma-workspace (4:6.7.2-0ubuntu2) stonking; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jul 2026 20:20:59 +0100

plasma-workspace (4:6.7.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Jun 2026 22:06:28 +0100

plasma-workspace (4:6.7.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.1)
  * Reabsorb plasma wayland session back into the plasma-workspace
    package.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Jun 2026 15:55:10 +0100

plasma-workspace (4:6.7.0-0ubuntu2) stonking; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2026 04:17:49 +0100

plasma-workspace (4:6.7.0-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.7.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Jun 2026 10:01:50 +0100

plasma-workspace (4:6.6.91-0ubuntu1) stonking; urgency=medium

  * New upstream (beta) release (6.6.91)
  * Update build-deps and deps with the info from cmake.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 30 May 2026 19:57:34 +0100

plasma-workspace (4:6.6.5-0ubuntu1) stonking; urgency=medium

  * New upstream release (6.6.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 13 May 2026 03:26:09 +0100

plasma-workspace (4:6.6.4-0ubuntu2) resolute; urgency=medium

  * Fix crash in kconf_update calendar to plugin-id script migration
    script. (LP: #2147211)
    - debian/patches/kubuntu_fix-kconf-update-crash.patch
      Upstream detection of the qtpaths binary location at build time finds
      the version/link from the qt6-base dev package instead of the one from
      the qt6-base-dev-tools package. On a user system without the dev package
      the resultant script crashes on not finding the binary at the expected
      path. Instead specificy the path in Ubuntu, which will not change over
      LTS release cycle.
    - debian/control: Depend on qt6-base-dev-tools for the required qtpaths6
      binary.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Apr 2026 12:59:39 +0100

plasma-workspace (4:6.6.4-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release (6.6.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Apr 2026 13:11:50 +0100

plasma-workspace (4:6.6.3-0ubuntu5) resolute; urgency=medium

  * Put the kconf_update py files in the correct package. (LP: #2147211)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 03 Apr 2026 08:34:06 -0700

plasma-workspace (4:6.6.3-0ubuntu4) resolute; urgency=medium

  * Remove plasma5-intgegration recommends as it brings in many kf5
    packages that is causing kconf_update errors and other strange errors that
    are hard to track down. This should not be required on a kf6 system. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 03 Apr 2026 07:38:18 -0700

plasma-workspace (4:6.6.3-0ubuntu3) resolute; urgency=medium

  * Remove hard depends on drkonqi. Flavours using Plasma already seed
    this directly for their metapackages.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Mar 2026 15:11:34 +0000

plasma-workspace (4:6.6.3-0ubuntu2) resolute; urgency=medium

  * Turn off packagekit package install as it doesn't work.
    (LP: #2065504) 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Mar 2026 11:22:19 -0700

plasma-workspace (4:6.6.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Mar 2026 14:45:10 +0000

plasma-workspace (4:6.6.2-0ubuntu4) resolute; urgency=medium

  * Add missing dependency libgeoclue-2-0 to fix Day-Night 
    cycle KCM. (LP: #2144370) 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 14 Mar 2026 09:39:11 -0700

plasma-workspace (4:6.6.2-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for libplasma7.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2026 06:53:59 +0000

plasma-workspace (4:6.6.2-0ubuntu2) resolute; urgency=medium

  * Add temporary depend on libqt6wlshellintegration6.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 17:35:05 +0000

plasma-workspace (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:01 +0000

plasma-workspace (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update install files.
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:17:01 +0000

plasma-workspace (4:6.5.5-0ubuntu5) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:48:42 +0000

plasma-workspace (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:58:51 +0000

plasma-workspace (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:10:59 +0000

plasma-workspace (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 18:28:23 +0000

plasma-workspace (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:08:17 +0000

plasma-workspace (4:6.5.4-0ubuntu2) resolute; urgency=high

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Dec 2025 17:41:40 +0000

plasma-workspace (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:20 +0000

plasma-workspace (4:6.5.3-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:00:49 +0100

plasma-workspace (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Fri, 21 Nov 2025 15:59:11 +0000

plasma-workspace (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:55 +0000

plasma-workspace (4:6.5.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:56:04 +0000

plasma-workspace (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:36 +0000

plasma-workspace (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:59 +0000

plasma-workspace (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Build depend on knighttime-dev.
  * Update install files.
  * Remove no longer built packages libcolorcorrect6 and libweather-
    ion7.
  * Add new library package libklookandfeel6
  * Update symbols.
  * Depend on knighttime for the kcm.
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:40 +0100

plasma-workspace (4:6.4.5-0ubuntu4) questing; urgency=medium

  * Add upstream patch requested by KDE developers to fix a common crash
    with Qt 6.9.2.
    https://mail.kde.org/pipermail/distributions/2025-September/001617.html
    https://bugs.kde.org/509192

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Sep 2025 05:49:58 +0100

plasma-workspace (4:6.4.5-0ubuntu3) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 07:52:10 +0100

plasma-workspace (4:6.4.5-0ubuntu2) questing; urgency=medium

  * plasma-session-x11 recommends kwin-x11

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Sep 2025 02:31:57 +0100

plasma-workspace (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:10 +0100

plasma-workspace (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on qt6-location-dev
  * Update install files.
  * Update symbols from build logs.
  * Update breaks/replaces for files moved.
  * Update Breaks/Replaces for 6.4 release.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:26 +0100

plasma-workspace (4:6.3.5-0ubuntu4) questing; urgency=medium

  * debian/plasma-workspace.postinst: Move to plasma-session-
    x11.postinst

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Jun 2025 13:09:52 +0100

plasma-workspace (4:6.3.5-0ubuntu3) questing; urgency=medium

  * Add plasma-session-wayland Breaks/Replaces plasma-workspace-wayland
    for eventual upgrades from Noble.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Jun 2025 09:57:37 +0100

plasma-workspace (4:6.3.5-0ubuntu2) questing; urgency=medium

  * Split wayland and X11 session into new packages again.
    (LP: #2114015)

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Jun 2025 15:57:39 +0100

plasma-workspace (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)
  * Drop included upstream_fix-notifications-padding.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:36:26 +0100

plasma-workspace (4:6.3.4-0ubuntu2) plucky; urgency=medium

  * Add upstream_fix-notifications-padding.patch recommended by KDE
    developers for 6.3.4.
    https://mail.kde.org/pipermail/distributions/2025-April/001571.html

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Apr 2025 06:55:38 +0100

plasma-workspace (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:48 +0100

plasma-workspace (4:6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:23 -0500

plasma-workspace (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:24:57 +0000

plasma-workspace (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our .install and .symbols files.
    - Build depend on KF6 >= 6.10.0 and Plasma 6.3.2
    - Breaks/Replaces for Ubuntu version history.
    - Add ${python3:Depends} to plasma-workspace-data, needed for
      usr/share/kconf_update/migrate-calendar-to-plugin-id.py
    - Recommends: appmenu-gtk3-module
    - Depends: qt6-svg-plugins

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 13:58:26 +0000

plasma-workspace (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:01:45 +0100

plasma-workspace (4:6.3.2-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Feb 2025 20:31:19 +0000

plasma-workspace (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:18:36 +0000

plasma-workspace (4:6.3.1-0ubuntu2) plucky; urgency=high

  * Sync copyright update from Debian.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 06:48:21 +0000

plasma-workspace (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:25:56 +0000

plasma-workspace (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:07:48 +0100

plasma-workspace (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)
  * Update symbols.
  * Removed no longer existing appmenu-gtk2-module from build depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:57:55 +0000

plasma-workspace (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.
  * Add lintian override for plasma-workspace having… many dependencies.
  * Update symbols from build for 6.2.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:50 +0100

plasma-workspace (4:6.2.91-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Feb 2025 11:23:32 -0600

plasma-workspace (4:6.2.91-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Jan 2025 06:52:21 +0000

plasma-workspace (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:44:45 +0000

plasma-workspace (4:6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Jan 2025 23:14:34 +0100

plasma-workspace (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Remove libplasma-geolocation-interface6 moved to plasma5support.
  * Update the list of installed files from the build logs.
  * Update symbols from build for 6.2.90.
  * Refresh copyright information.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Jan 2025 00:49:30 +0100

plasma-workspace (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.90)
  * Depends oxygen-icon-theme.
  * Build depend on libxcb-cursor-dev.
  * Update install files.
  * Remove no longer built package libplasma-geolocation-interface6.
  * Update symbols from  build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:17:49 +0000

plasma-workspace (4:6.2.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not depend on gdb-minimal any more since the package will be
    removed and always depend on gdb (Closes: #1092734).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 23:04:18 +0100

plasma-workspace (4:6.2.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove appmenu-gtk2-module as a build dependency (Closes: #1095120).

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 15:20:55 +0100

plasma-workspace (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:26 +0100

plasma-workspace (4:6.2.5-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 19:50:17 +0100

plasma-workspace (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:04:46 +0000

plasma-workspace (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.
  * Remove obsolete conf file /etc/xdg/autostart/klipper.desktop. (Closes:
    #1088962)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:43:03 +0100

plasma-workspace (4:6.2.4-0ubuntu4) plucky; urgency=medium

  * Depend on new qt6-svg-plugins package.

 -- Rik Mills <rikmills@kde.org>  Wed, 18 Dec 2024 14:53:37 +0000

plasma-workspace (4:6.2.4-0ubuntu3) plucky; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 14:52:59 -0600

plasma-workspace (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 01:57:01 -0600

plasma-workspace (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:16 +0000

plasma-workspace (4:6.2.3-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 21:02:35 +0100

plasma-workspace (4:6.2.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.2.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 08:07:37 +0100

plasma-workspace (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Drop patch for backported commit, now part of the upstream release.
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:37 +0100

plasma-workspace (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depend on qt6-positioning-dev and libdbus-1-dev
  * Update install files.
  * Add new library package libklipper6.
  * Update symbols.
  * Add plasma-workspace-data breaks/replaces xdg-desktop-portal-kde (<<
    6.2.0~) for moved files.
  * Runtime depend on qml6-module-qtpositioning.
  * New upstream release (6.2.1)
  * New upstream hotfix release (6.2.1.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:50 +0000

plasma-workspace (4:6.2.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.2).
  * Revert upstream minor version bump for build dependencies to avoid
    rebuilding all Plasma packages.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Oct 2024 18:51:43 +0200

plasma-workspace (4:6.2.1.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.1.1).

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Oct 2024 21:43:24 +0200

plasma-workspace (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Make plasma-workspace depend on qml6-module-qtpositioning, required
    for the night color KCM.
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:50 +0200

plasma-workspace (4:6.2.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Breaks+Replaces for plasma-workspace-data against xdg-desktop-
    portal-kde.

 -- Patrick Franz <deltaone@debian.org>  Thu, 10 Oct 2024 17:32:14 +0200

plasma-workspace (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Add binary package for libklipper6.
  * Review copyright information.
  * Update symbols from build for 6.1.90.
  * Split off documentation into its own package.
  * Improve package descriptions.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.
  * Update symbols from build for 6.2.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:51 +0200

plasma-workspace (4:6.1.5-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.1.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Sep 2024 14:53:49 +0200

plasma-workspace (4:6.1.5-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.1.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Sep 2024 21:55:08 +0200

plasma-workspace (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of upstream release.
  * Add missing epoch for some symbols.
  * Tighten Plasma packages inter-dependencies.
  * Fix permissions of installed files.
  * Fix duplicate symbols for libnotificationmanager1 and libtaskmanager6.
  * Fix symbols having debian revision in libkmpris6.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Sep 2024 09:46:23 +0200

plasma-workspace (4:6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:07:39 +0100

plasma-workspace (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:42 +0100

plasma-workspace (4:6.1.4-5) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing build dependency on systemd.
  * Update symbols from build for 6.1.4.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 09:30:42 +0200

plasma-workspace (4:6.1.4-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.1.4-3.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 Aug 2024 21:54:11 +0200

plasma-workspace (4:6.1.4-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add missing runtime dependency qml6-module-org-kde-plasma-
    plasma5support. (Closes: #1078918)

  [ Aurélien COUDERC ]
  * Tighten inter-plasma dependencies.
  * Update symbols from build logs of 4:6.1.4-3.
  * Fix symbols files syntax for several libs.
  * Add missing symbols files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 Aug 2024 10:23:27 +0200

plasma-workspace (4:6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.1.4-1.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 16 Aug 2024 16:38:56 +0200

plasma-workspace (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commit now part of the upstream release.
  * Backport upstream commit to fix SVG wallpapers.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:28 +0200

plasma-workspace (4:6.1.4-0ubuntu2) oracular; urgency=medium

  * Add missing runtime depend on qml6-module-org-kde-plasma-
    plasma5support.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 12:03:37 +0100

plasma-workspace (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)
  * Drop included
    upstream_e01b885a_kastatsfavoritesmodel_fix_a_crash.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:44:06 +0100

plasma-workspace (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  [ Rik Mills ]
  * Build depend on libsystemd-dev.
  * Install usr/bin/kde-systemd-start-condition
  * Additional runtime recommends on: appmenu-gtk3-module and kio-fuse,
    as per cmake output.
  * Update symbols from build logs.
  * Add plasma-workspace-data Breaks/Replaces plasma-workspace (<< 4:6.1.0~)

  [ José Manuel Santamaría Lema ]
  * Add systemd-dev to Build-Depends
  * Fix broken symbols files from debian: remove duplicate symbols
  * Add ${python3:Depends} to plasma-workspace-data, needed for
    usr/share/kconf_update/migrate-calendar-to-plugin-id.py

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 13:38:43 +0100

plasma-workspace (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.
  * Backport upstream commit to fix a common Plasma crash.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:22 +0200

plasma-workspace (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Disable patches for the time being.
  * Update build-deps and deps with the info from cmake.
  * New binary packages and update of runtime-dependencies.
  * Update lintian-overrides.

  [ Aaron Rainbolt ]
  * Review copyright information.

  [ Aurélien COUDERC ]
  * Refresh lintian overrides.
  * The python interpreter is needed as a runtime dependency for a
    kconf_update migration script.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 17 Jul 2024 23:24:24 +0200

plasma-workspace (4:5.27.11.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release 5.27.11.1, fixes CVE-2024-36041.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 31 May 2024 16:54:34 +0200

plasma-workspace (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:22:21 +0200

plasma-workspace (4:5.27.10-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:34 +0100

plasma-workspace (4:5.27.10-2) unstable; urgency=medium

  * Update AppStream 1.0 compat patch
  * Tighten build-dep on breeze-dev (Closes: #1058908)

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 22:12:28 +0100

plasma-workspace (4:5.27.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (5.27.10).
  * Add fix-appstreamqt5-1.0-build.patch:
    - Fixes FTBFS with AppStreamQt5 >= 1.0

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 10:02:34 +0100

plasma-workspace (4:5.27.9.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.9.1).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:39 +0200

plasma-workspace (4:5.27.8-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Undo the fix for the cleaning of lookandfeel/sddm-theme-debian as it
    breaks the login screen (Closes :#1052012).

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Sep 2023 15:58:26 +0200

plasma-workspace (4:5.27.8-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure to clean lookandfeel/sddm-theme-debian, created at cmake time
    as result of patch add_sddm_debian_breeze.patch. (Closes: #1047031)
  * Remove 8 obsolete maintscript entries in 1 files.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper addon automatically
    - add the dh-sequence-sodeps build dependency to use the sodeps addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

  [ Patrick Franz ]
  * New upstream release (5.27.8).
  * Update build-deps and deps with the info from cmake.
  * Remove patch for crashes when closing windows as it has been applied
    upstream.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:24:04 +0200

plasma-workspace (4:5.27.7-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix potential crash when closing a Plasma popup.

 -- Patrick Franz <deltaone@debian.org>  Mon, 07 Aug 2023 16:42:56 +0200

plasma-workspace (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:15 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkworkspace6-6`.
